[youtubei.js](../../../../README.md) / [Parser](../README.md) / addRuntimeParser

# Function: addRuntimeParser()

> **addRuntimeParser**(`classname`, `ParserConstructor`): `void`

Defined in: [src/parser/parser.ts:218](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/parser.ts#L218)

## Parameters

### classname

`string`

### ParserConstructor

[`YTNodeConstructor`](../../Helpers/interfaces/YTNodeConstructor.md)

## Returns

`void`
